//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules
#include "string.h"
#include <stdio.h>
#include "stdlib.h"
#include "JIGFunk.h"

void main(void)
{
	
	char rxData[32];
	int error=0;
	int ValidCMD=0;
	char txData[32]={0};
	char *buf;
	WORD temp;
	int base;
	char CRLF[]={"\r\n"};
	char outputString[64]={0};
	M8C_C_HEADER;
	M8C_EnableGInt;
	//JIGFunk_initializeADC();
	
	
	JIGFunk_initializeUART();
	JIGFunk_initializeTIMER();
	JIGFunk_initializePGA();
	AMUX8_1_Start();

	for (;;){
		ValidCMD=0;
		rxData[0]=txData[0]=0;
		error=JIGFunk_readSerialPort(rxData);
	
		if (error){
			JIGFunk_clearUARTCmd();
			JIGFunk_clearRXBuffer();
		}
		
		if (!cstrcmp("'", rxData)){
			strcpy(txData,JIGFunk_getSineVoltage(LED,HIGH));
			ValidCMD=1;
		}
		else if (!cstrcmp("GETVOLTLEDMIN", rxData)){
			strcpy(txData,JIGFunk_getSineVoltage(LED,LOW));
			ValidCMD=1;
		}
	
		if (strlen(txData)>1){
			csprintf(outputString,"%s\r\n%s\r\nS>",rxData,txData);
			JIGFunk_sendSerialData(outputString);
		}
		else if(ValidCMD){
			csprintf(outputString,"%s\r\nS>",rxData);
			JIGFunk_sendSerialData(outputString);
		}
		else{
			csprintf(outputString,"%s\r\n?CMD?>", rxData);
			JIGFunk_sendSerialData(outputString);
			
		}
		JIGFunk_clearRXBuffer();
		
	}
}
