//----------------------------------------------------------------------------
//	DUTCONTROL.H
//
//	This module includes functions to control the Alace control lines
//		sampleType, and DataRequest line
//
//	Version 1.0	6/5/13 - Justin Klumpp - Initial Release
//
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
//
//	PREVENTS THIS HEADER FROM BEING LOADED MULTIPLE TIMES
#ifndef DUTCONTROL_H
#define DUTCONTROL_H
//
//	LOCAL DEFINES
#define SET_SAMPLETYPE				0x20	//port 0 line 5		
#define	DATA_REQUEST				0x80	//port0, line 7
//
//	PUBLIC FUNCTIONS
void 	DUTControl_sampleTypeHigh(void);
void 	DUTControl_sampleTypeLow(void);
void 	DUTControl_sendLongPulse(void);
void 	DUTControl_sendShortPulse(void);
//
#endif

